# Progetto di ASD di Isabella Inuso

Per testare questo progetto useremo i dati estratti da Wikipedia. Per scaricarli:

```bash
mkdir wikipedia_20k
wget http://didawiki.cli.di.unipi.it/lib/exe/fetch.php/matematica/asd/asd_21/wikipedia_20k.zip
unzip wikipedia_20k.zip -d wikipedia_20k
```

In alternativa, per utilizzare un test set di dimensioni minori

```bash
mkdir wiki-small
wget http://didawiki.cli.di.unipi.it/lib/exe/fetch.php/matematica/asd/asd_21/wiki-small.zip
unzip wiki-small.zip -d wiki-small
```

## Usage
Il programma prende in input
* `k` : numero di parole associate, il default è 5
* `c` : numero di linee in output, il default è 1
* `s` : seed per la randomizzazione dell'output, il default è -1, che randomizza in base all'ora di sistema
* `path` : path della lista di file da analizzare

Ad esempio, per lanciare il programma su tutti i files contenuti nella cartella wikipedia_20k

```bash
g++ Progetto.cpp -o Progetto
./Progetto -k 5 -c 10 wikipedia_20k/*
```
